## brltty 5.0

=== Android/Application/Makefile ===
# Android/Application/Makefile.  Generated from Makefile.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2014 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any
# later version. Please see the file LICENSE-GPL for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

SRC_TOP = ../../
SRC_DIR = .
# VPATH = .

BLD_TOP = ./../../
BLD_DIR = .

include $(SRC_TOP)common.mk

ANDROID_PACKAGE_NAME = BRLTTY_App
ANDROID_PACKAGE_PATH = org.a11y.brltty.android
include $(SRC_TOP)Android/common.mk

ANDROID_TABLES_DIRECTORY = $(ANDROID_ASSETS_DIRECTORY)/tables
ANDROID_DRIVERS_DIRECTORY = $(ANDROID_ASSETS_DIRECTORY)/drivers

$(ANDROID_PACKAGE_FILE): core tables $(BRAILLE_DRIVERS) $(SPEECH_DRIVERS) $(SCREEN_DRIVERS)

core:
	cd ../Core && $(MAKE)

tables-directory:
	$(INSTALL_DIRECTORY) $(ANDROID_TABLES_DIRECTORY)

tables: tables-directory
	$(INSTALL_DATA) $(SRC_TOP)$(TBL_DIR)/*.[tack]t[bi] $(ANDROID_TABLES_DIRECTORY)

drivers-directory:
	$(INSTALL_DIRECTORY) $(ANDROID_DRIVERS_DIRECTORY)

braille-drivers: drivers-directory
	$(INSTALL_DATA) $(BLD_TOP)$(DRV_DIR)/$(MOD_NAME)b?*.$(MOD_EXT) $(ANDROID_DRIVERS_DIRECTORY)

speech-drivers: drivers-directory
	$(INSTALL_DATA) $(BLD_TOP)$(DRV_DIR)/$(MOD_NAME)s?*.$(MOD_EXT) $(ANDROID_DRIVERS_DIRECTORY)

screen-drivers: drivers-directory
	$(INSTALL_DATA) $(BLD_TOP)$(DRV_DIR)/$(MOD_NAME)x?*.$(MOD_EXT) $(ANDROID_DRIVERS_DIRECTORY)

=== Android/Core/Makefile ===
# Android/Core/Makefile.  Generated from Makefile.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2014 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any
# later version. Please see the file LICENSE-GPL for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

SRC_TOP = ../../
SRC_DIR = .
# VPATH = .

BLD_TOP = ./../../
BLD_DIR = .

include $(SRC_TOP)common.mk

ANDROID_PACKAGE_NAME = BRLTTY_Core
ANDROID_PACKAGE_PATH = org.a11y.brltty.core
include $(SRC_TOP)Android/common.mk

ANDROID_CORE_LIBRARY = $(LIB_PFX)$(PACKAGE_NAME)_core.$(LIB_EXT)
ANDROID_JNI_LIBRARY = $(LIB_PFX)$(PACKAGE_NAME)_jni.$(LIB_EXT)

$(ANDROID_PACKAGE_FILE): libraries

libraries:
	cd $(BLD_TOP)$(PGM_DIR) && $(MAKE) $(ANDROID_CORE_LIBRARY) $(ANDROID_JNI_LIBRARY) $(BRAILLE_DRIVERS)
	$(INSTALL_DIRECTORY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_CORE_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_JNI_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(STRIP) $(ANDROID_PLATFORM_DIRECTORY)/*.$(LIB_EXT)

=== debian/changelog ===
brltty (5.0-2ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:18 +0100

brltty (5.0-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 14 Mar 2014 15:16:38 +1100

brltty (5.0-2) unstable; urgency=medium

  * Fix debian/watch file.
  * Fix download URLs in copyright file(s).
  * debian/patches/80-kfreebsd.patch: Try to fix build failure on
    kFreeBSD.  Patch taken from upstream, but squashed, so no commit ID.

 -- Mario Lang <mlang@debian.org>  Thu, 13 Mar 2014 14:42:49 +0100

brltty (5.0-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Make python*-brlapi description more explicit.
    - Bump Standards-Version to 3.9.5 (no changes).
  * debian/initramfs/hooks/brltty: rename to .in, and make DEB_HOST_MULTIARCH
    computed at build time by debian/rules (Closes: #725986).
  * Add brltty 5.0 USB IDs to udev rules.

  [ Jason White ]
  * Add support for systemd (based on upstream service file).
    Closes: #726783.

  [ Paul Gevers ]
  * Adjust build and source files to be able to build against
    speech-dispatcher 0.8
  * Fix timestamp in man pages and strip LinuxDoc-Tools version from html
    (Closes: #708585)

  [ Mario Lang ]
  * New upstream release.
  * debian/source/options: compress with xz.
  * debian/patches/20-sbin.patch: Update.
  * debian/patches/30-format-security.patch: New.
  * debian/brltty.examples: Update to account for renaming of a directory.
  * (temporarily) disable bluetooth in udeb to prevent linking against
    non-udeb packages.
  * debian/patches/60-fix-man-install.patch: Cherry pick
    a1e3a6a71d1278e243881ae7abdf0b65841c6aee from upstream to fix
    installation of man pages for driver-specific tools.
  * debian/patches/70-fs-hang-fix.patch: Cherry pick
    aa3c189d5fb32859d2e93164f59255db35aea4f8 from upstream to fix
    issues with FreedomScientific driver.

 -- Mario Lang <mlang@debian.org>  Thu, 13 Mar 2014 11:18:19 +0100

brltty (4.5-3ubuntu3) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 03:05:36 +0000

brltty (4.5-3ubuntu2) trusty; urgency=low

  * Adjust build and source files to be able to build against
    speech-dispatcher 0.8
  * Build-dep on libspeechd-dev >= 0.8

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Nov 2013 16:02:41 +1100

=== debian/control ===
Source: brltty
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/brltty.git
Vcs-Git: git://anonscm.debian.org/pkg-a11y/brltty.git
Homepage: http://mielke.cc/brltty/
Build-Depends: debhelper (>= 7), dh-systemd (>= 1.5),
               autotools-dev, autoconf, tcl (>= 8.5~),
               libasound2-dev [linux-any],
               python-all-dev (>= 2.7~0),
               python3-all-dev,
               cython,
               libgpmg1-dev [linux-any],
               libicu-dev,
               default-jdk [!m68k],
               doxygen, linuxdoc-tools, groff,
               flite1-dev, libncursesw5-dev,
               libxaw7-dev, x11proto-kb-dev, libxtst-dev,
               libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
               libbluetooth-dev [linux-any],
               libspeechd-dev (>= 0.8),
               libespeak-dev,
               hardening-wrapper,
               pkg-config
Build-Conflicts: libatspi-dev
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), initramfs-tools (>= 0.40ubuntu30)
Recommends: python3
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: brltty-speechd, brltty-x11,
          console-braille
Breaks: udev (<< 136-1)
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva/Optelec (ABT3xx, Delphi, Satellite, Braille System 40, BC 640/680)
  * Baum
  * BrailComm
  * BrailleLite
  * BrailleNote
  * Cebra
  * EcoBraille
  * EuroBraille (AzerBraille, Clio, Esys, Iris, NoteBraille, Scriba)
  * Freedom Scientific (Focus and PacMate)
  * Handy Tech
  * HIMS (Braille Sense, SyncBraille)
  * HumanWare (Brailliant)
  * Iris
  * LogText 32
  * MDV
  * Metec (BD-40)
  * NinePoint
  * Papenmeier
  * Pegasus
  * Seika
  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille,
            BraillePen/EasyLink)
  * Tivomatic (Albatross)
  * TSI (Navigator, PowerBraille)
  * VideoBraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.6.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in libbrlapi-java (Java) and
 python3-brlapi (Python).

Package: brltty-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: debugging symbols for brltty
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains the debugging symbols for BRLTTY.

Package: libbrlapi0.6
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Description: braille display access via BRLTTY - shared library
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, libbrlapi0.6 (= ${binary:Version})
Description: braille display access via BRLTTY - shared library debugging symbols
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the debugging symbols for the brlapi shared library.

Package: libbrlapi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java bindings for BrlAPI (native library)
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: java
Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
Description: Java bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Flite speech driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-speechd
Architecture: any
Recommends: speech-dispatcher
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Speech Dispatcher driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the speech-dispatcher
 speech synthesis server.

Package: brltty-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - espeak driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the espeak
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
Package-Type: udeb
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.

Package: brltty-x11
Architecture: any
Recommends: xbrlapi (>= 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display - X11 drivers
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional screen drivers for BRLTTY which require X11 or
 GNOME.

Package: xbrlapi
Architecture: any
Replaces: brltty-x11 (<< 4.3-3)
Breaks: brltty-x11 (<< 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access software for a blind person using a braille display - xbrlapi
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package provides xbrlapi, a brltty X11 helper which handles proper
 keyboard simulation and window selection.

Package: python-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Braille display access via BRLTTY - Python bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 2.x bindings for BrlAPI.

Package: python3-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Braille display access via BRLTTY - Python3 bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=brltty
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# java is not supported by m68k (200712)
ifeq ($(DEB_HOST_ARCH),m68k)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif

PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
		    --without-viavoice --without-theta --without-swift

DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping

DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
	contracted-braille api pm-configfile gpm iconv icu x
UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
	--without-init-path --without-curses \
	--with-bluetooth-package=none \
	$(patsubst %,--disable-%,$(UDEB_DISABLE))
UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_OPTIONS+=--without-usb-package
endif

export JAVA_HOME=/usr/lib/jvm/default-java

PATH := $(JAVA_HOME)/bin:$(PATH)

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	-mv $(CURDIR)/configure.orig $(CURDIR)/configure
	rm -f build-*stamp
	rm -rf build-brltty* build-py*
	rm -f Bindings/Python/bindings.o
	rm -f acdir/config.sub
	rm -f acdir/config.guess
	rm -f configure
	rm -f debian/initramfs/hooks/brltty

	dh_clean

acdir/config.sub: /usr/share/misc/config.sub 
	cp -f $< $@
acdir/config.guess: /usr/share/misc/config.guess
	cp -f $< $@

configure:
	./autogen

config: build-brltty/config.status
build-brltty/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty
	cd build-brltty && ../configure --disable-python-bindings \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-python: $(PYVERS:%=build-py%/config.status)
build-py%/config.status:
	mkdir -p build-py$*
	cd build-py$* && \
	PYTHON=/usr/bin/python$* ../configure \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-udeb: build-brltty-udeb/config.status
build-brltty-udeb/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty-udeb
	cd build-brltty-udeb && \
	CFLAGS="$(UDEB_CFLAGS)" ../configure \
		$(CONFIGURE_OPTIONS) \
		$(UDEB_CONFIGURE_OPTIONS)

build-arch: build-brltty build-udeb
build-indep: build-arch build-python
build: build-indep build-arch

build-brltty: build-stamp
build-stamp: config
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
	$(MAKE) -C build-brltty/Documents

	# doxygen inserts the current time into all the man-pages it creates without
	# a possibility to turn that off (AFAICT). So replacing the date with something
	# more reasonable: the timestamp of the input file.
	# Closes: http://bugs.debian.org/708585
	sed --in-place -e \
		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(date -r Documents/BrlAPIref.doxy.in +'%a %b %d %Y')\2/" \
		build-brltty/Documents/BrlAPIref/man/man3/*

	# Likewise, make sure that the html does not contain the version number of
	# LinuxDoc-Tools to at least have a lot higher chance of the files being the
	# same.
	find build-brltty -name '*.html' -exec sed --in-place -e \
		's/\(<META NAME="GENERATOR" CONTENT="LinuxDoc-Tools\)[^>]*>/\1">/' \
		{} +

	touch $@

build-python: config-python $(PYVERS:%=build-py%-stamp)
build-py%-stamp: config-python
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python

	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp: config-udeb
	dh_testdir

	$(MAKE) -C build-brltty-udeb

	touch $@

# Build architecture-independent files here.
binary-indep: ;
# We have nothing to do here.

# Build architecture-dependent files here.
binary-arch: brltty brltty-udeb

brltty: build-brltty build-python
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-brltty install INSTALL_ROOT=`pwd`/debian/tmp
	set -e ; for pyver in $(PYVERS); do \
		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
	done

	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv `pwd`/debian/tmp/lib/libbrlapi* `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
	dh_install	
	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
	chmod +x debian/$@/etc/brltty/latex-access.ctb
	dh_installdocs
	dh_installexamples -p$@
	for file in Drivers/Braille/*/README*; \
		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
		done
	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
	dh_systemd_enable -p$@
	# -r because we don't want to lose the console on an upgrade
	dh_installinit -p$@ -r -- start 25 S .
	# and likewise for systemd
	dh_systemd_start -p$@ --restart-after-upgrade
	dh_installchangelogs Documents/ChangeLog
	dh_installman
	dh_lintian
	dh_python2 -ppython-brlapi
	dh_python3 -ppython3-brlapi
	mv debian/brltty/lib/brltty/libbrlttysfl.so \
		debian/brltty-flite/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyssd.so \
		debian/brltty-speechd/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyses.so \
		debian/brltty-espeak/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttybxw.so \
		debian/brltty-x11/lib/brltty
	mv debian/brltty/etc/brltty/brl-xw-all.txt \
		debian/brltty-x11/etc/brltty
	mv debian/brltty/usr/share/doc/brltty/XWindow.README \
		debian/brltty-x11/usr/share/doc/brltty-x11/
	mv debian/brltty/lib/brltty/libbrlttyxa2.so \
		debian/brltty-x11/lib/brltty
ifneq ($(DISABLE_JAVA_SUPPORT),1)
	mv debian/tmp/usr/share/java/brlapi.jar \
		debian/libbrlapi-java/usr/share/java
	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
endif
	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
	dh_link -p$@ -plibbrlapi0.6 -plibbrlapi-dev
	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --dbg-package=$@-dbg
	dh_strip -plibbrlapi0.6 -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --dbg-package=libbrlapi-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -n -p$@
	dh_makeshlibs -a -Nbrltty-udeb
	dh_installdeb -a -i -Nbrltty-udeb
	dh_shlibdeps -a -Nbrltty-udeb
	dh_gencontrol -a -i -Nbrltty-udeb
	dh_md5sums -a -i -Nbrltty-udeb
	dh_builddeb -a -i -Nbrltty-udeb

brltty-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_installdirs -pbrltty-udeb

	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb

	# temporary fix
	rm -Rf debian/brltty-udeb/share

	cp debian/brltty-udeb.prebaseconfig debian/brltty-udeb/usr/lib/finish-install.d/07brltty
	chmod 0755 debian/brltty-udeb/usr/lib/finish-install.d/07brltty
	cp debian/brltty-udeb.start debian/brltty-udeb/lib/debian-installer.d/S19brltty
	rm -f debian/brltty-udeb/sbin/brltty-*
	rm -Rf debian/brltty-udeb/usr/share
	# Strip comments and whitespaces from translation tables
	cd debian/brltty-udeb/etc/brltty && \
		for file in *.tt? *.at? *.ktb; do \
			sed -e 's/ *#.*//' -e 's/[	 ]\+/ /g' $$file | sed -n '/./p' > $$file.tmp && \
			mv $$file.tmp $$file; \
		done

=== debian/watch ===
version=3
http://brltty.com/archive/ brltty-([0-9.]+)\.tar\.gz debian uupdate

## brltty 5.2~20141018

=== Android/Core/Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 ANDROID_PACKAGE_PATH = org.a11y.brltty.core
 include $(SRC_TOP)Android/common.mk
 
-ANDROID_CORE_LIBRARY = $(LIB_PFX)$(PACKAGE_NAME)_core.$(LIB_EXT)
-ANDROID_JNI_LIBRARY = $(LIB_PFX)$(PACKAGE_NAME)_jni.$(LIB_EXT)
+ANDROID_CORE_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_core.$(LIB_EXT)
+ANDROID_JNI_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_jni.$(LIB_EXT)
 
 $(ANDROID_PACKAGE_FILE): libraries

=== debian/changelog ===
brltty (5.2~20141018-5) unstable; urgency=high

  * patches/60-albatross.patch: Fix probing loop stuck inside the albatross
    driver (Closes: #782732).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Apr 2015 23:19:16 +0200

brltty (5.2~20141018-4) unstable; urgency=medium

  * patches/git-9337089: Fix xbrlapi into really not writing anything when
    passed option -q (closes: #777574).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Feb 2015 02:25:14 +0100

brltty (5.2~20141018-3) unstable; urgency=medium

  * brltty-udeb.prebaseconfig: Make grub beep at boot when brltty was used
    during installation (Closes: #774536).
  * patches/git-2421eda: Fix xbrlapi window path computation (Closes: #777377).
  * control: Break old version of Orca which does not have the same fix as
    xbrlapi.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2015 22:58:05 +0100

brltty (5.2~20141018-2) unstable; urgency=medium

  * patches/git-a7123d7: Fix brlapi output with the NoScreen screen driver.
    (Closes: #767601).
  * libbrlapi-dev.install: Do not install internal brltty headers
    (Closes: #766844).
  * rules: Remove brltty headers from brltty-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 06 Nov 2014 19:53:48 +0100

brltty (5.2~20141018-1) unstable; urgency=medium

  * New upstream snapshot, very close to upstream 5.2 release.
    - control: Build-Depend on pkg-config
    - brltty-udeb.udev.rules: Update autostart rules with newer devices.
    - patches/30-format-security.patch, 60-fix-man-install.patch,
      70-fs-hang-fix.patch, 80-kfreebsd.patch, 90-zh-lang-fix.patch: Remove,
      merged upstream
    - rules: Fix table and help paths.
  * rules: Fix passing CL_DATE to sed (Closes: #708585).
  * brltty-udeb.prebaseconfig: Fix auto-starting at-spi and orca in XFCE and
    LXDE.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Oct 2014 22:33:42 +0200

brltty (5.0-3) unstable; urgency=low

  [ Paul Gevers ]
  * Improved timestamp fix in man pages to be independent of locales and
    file timestamps (Closes: #708585)

  [ Samuel Thibault ]
  * Team upload.
  * Append the d-i -inherited configure to the end of brltty.conf instead of
    dropping it (which was thus losing the documentation for the user).
  * patches/90-zh-lang-fix.patch: Fix zh translation syntax.
  * brltty-udeb.prebaseconfig: Enable accessibility in XFCE, LXDE and MATE
    sessions too.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Sep 2014 00:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: brltty
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/brltty.git
 Vcs-Git: git://anonscm.debian.org/pkg-a11y/brltty.git
 Homepage: http://mielke.cc/brltty/
-Build-Depends: debhelper (>= 7), dh-systemd (>= 1.5),
-               autotools-dev, autoconf, tcl (>= 8.5~),
+Build-Depends: debhelper (>= 7), dh-lisp, dh-systemd (>= 1.5),
+               autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python-all-dev (>= 2.7~0),
                python3-all-dev,
@@ -21,23 +20,21 @@
                libxaw7-dev, x11proto-kb-dev, libxtst-dev,
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
-               libspeechd-dev (>= 0.8),
+               libspeechd-dev,
                libespeak-dev,
-               hardening-wrapper,
-               pkg-config
+               hardening-wrapper
 Build-Conflicts: libatspi-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), initramfs-tools (>= 0.40ubuntu30)
-Recommends: python3
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
+Recommends: python
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
-Breaks: udev (<< 136-1)
 Description: Access software for a blind person using a braille display
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -75,8 +72,8 @@
  TCP/IP connections on a certain port.  A shared object library for clients is
  provided in the package libbrlapi0.6.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
- programming languages can be found in libbrlapi-java (Java) and
- python3-brlapi (Python).
+ programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
+ and python-brlapi (Python).
 
 Package: brltty-dbg
 Architecture: any
@@ -213,6 +210,7 @@
 Architecture: any
 Recommends: xbrlapi (>= 4.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
+Breaks: gnome-orca (<< 3.14.0-3~)
 Description: Access software for a blind person using a braille display - X11 drivers
  BRLTTY is a daemon which provides access to the Linux console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -233,6 +231,20 @@
  .
  This package provides xbrlapi, a brltty X11 helper which handles proper
  keyboard simulation and window selection.
+
+Package: cl-brlapi
+Architecture: all
+Section: lisp
+Depends: ${misc:Depends}, cl-cffi, libbrlapi0.6
+Description: Common Lisp bindings for BrlAPI
+ BRLTTY is a daemon which provides access to the console (text mode)
+ for a blind person using a braille display.  It drives the braille
+ display and provides complete screen review functionality.
+ .
+ BrlAPI is a library which gives an application access to a braille display and
+ lets it write braille.
+ .
+ This package provides Common Lisp bindings vor BrlAPI.
 
 Package: python-brlapi
 Architecture: any
